%define qtdir %_qt3dir
%def_enable libcap

Name: pinentry
Version: 0.7.6
Release: alt1

Group: File tools
Summary: Simple PIN or passphrase entry dialog
URL: http://www.gnupg.org/
License: GPL

PreReq(post,preun): alternatives >= 0.2 info-install
Requires: %name-common = %version-%release

Requires: %name-qt = %version-%release
Requires: %name-gtk = %version-%release
Requires: %name-curses = %version-%release

Source0: %name-%version.tar.gz
Patch1:	pinentry-0.7.6-system-assuan.patch
Patch2:	pinentry-0.7.5-alt-no-internal-gmalloc.patch

# Automatically added by buildreq on Tue Apr 06 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glib-devel gtk+-devel libalternatives-devel libassuan-devel libcap-devel libncurses-devel libqt3-devel libstdc++-devel libtinfo-devel

#for alternatives macros
BuildRequires(pre): libalternatives-devel libqt3-devel libqt4-devel
BuildRequires: xorg-x11-devel gcc-c++
BuildRequires: libassuan-devel libncurses-devel
BuildRequires: libstdc++-devel libtinfo-devel
%if_enabled libcap
BuildRequires:  libcap-devel
%endif
#
BuildRequires: glib2-devel libgtk+2-devel
BuildRequires: libqt3-devel-cxx = %__gcc_version_base
# hack for apt in hasher
BuildRequires: libqt3 > 1 libqt3-devel > 1


%description
This is simple PIN or passphrase entry dialog which
utilize the Assuan protocol as described by the aegypten project.

%package common
Group: %group
Summary: %summary
Conflicts: pinentry < 0.7.2 pinentry-curses < 0.7.2
Conflicts: pinentry-qt < 0.7.2 pinentry-gtk < 0.7.2

%package curses
Group: %group
Summary: %summary
Provides: %name-terminal = %version-%release
Provides: %name = %version-%release
Provides: %_bindir/%name
PreReq: alternatives >= 0.2 info-install
Requires: %name-common = %version-%release

%package gtk
Group: %group
Summary: %summary
Provides: %name = %version-%release
Provides: %name-x11 = %version-%release
Provides: %_bindir/%name
PreReq: alternatives >= 0.2 info-install
Requires: %name-common = %version-%release

%package qt
Group: %group
Summary: %summary
Provides: %name = %version-%release
Provides: %_bindir/%name
Obsoletes: %name <= %version-%release
Provides: %name-x11 = %version-%release
PreReq: alternatives >= 0.2 info-install
Requires: libqt4-core >= %{get_version libqt4-core}
Requires: %name-common = %version-%release

%package qt3
Group: %group
Summary: %summary
Provides: %name = %version-%release
Provides: %_bindir/%name
Obsoletes: %name <= %version-%release
Provides: %name-x11 = %version-%release
PreReq: alternatives >= 0.2 info-install
Requires: libqt3 >= %{get_version libqt3}
Requires: %name-common = %version-%release

%description curses
This is simple PIN or passphrase entry dialog which
utilize the Assuan protocol as described by the aegypten project.

%description gtk
This is simple PIN or passphrase entry dialog which
utilize the Assuan protocol as described by the aegypten project.

%description qt
This is simple PIN or passphrase entry dialog which
utilize the Assuan protocol as described by the aegypten project.

%description qt3
This is simple PIN or passphrase entry dialog which
utilize the Assuan protocol as described by the aegypten project.

%description common
Common files and documentation for %name

%prep
%setup -q
%patch1 -p1
#%patch2 -p1
rm -f doc/*.info

pushd qt4
for h in pinentrydialog.h qsecurelineedit.h
do
    MOCFILE=`echo $h | sed 's|.h$|.moc|'`
    rm -f $MOCFILE
    moc-qt4 $h -o $MOCFILE
done
popd

%__libtoolize --copy --force
#%__aclocal
#%__automake
#%__autoconf
./autogen.sh

%build
export QTDIR=%qtdir

%configure \
    --with-x \
    --disable-rpath \
    --with-gnu-ld \
    --disable-pinentry-gtk \
    --enable-pinentry-gtk2 \
    --enable-pinentry-qt \
    --enable-pinentry-qt4 \
    --enable-pinentry-curses \
%if_enabled libcap
    \
%else
    --without-libcap \
%endif
    --enable-fallback-curses 

%make


%install
mkdir -p %buildroot/%_bindir
%make install DESTDIR=%buildroot
ln -sf %_sysconfdir/sysconfig/system %buildroot/%_bindir/%{name}
if [ -f %buildroot/%_bindir/%{name}-gtk-2 ]
then
    rm -f %buildroot/%_bindir/%{name}-gtk
    mv -f %buildroot/%_bindir/%{name}-gtk-2 %buildroot/%_bindir/%{name}-gtk
fi
if [ -f %buildroot/%_bindir/%{name}-qt4 ]
then
    mv -f %buildroot/%_bindir/%{name}-qt %buildroot/%_bindir/%{name}-qt3
    mv -f %buildroot/%_bindir/%{name}-qt4 %buildroot/%_bindir/%{name}-qt
fi

#made three alternatives entries
%__install -d %buildroot/%_altdir
WEIGHT=10
for i in curses qt3 gtk qt
do
cat >%buildroot/%_altdir/%name-$i<<EOF
%_bindir/%name	%_bindir/%name-$i	$WEIGHT
EOF
((WEIGHT+=10))
done

%__mkdir_p alt/
cat >alt/README <<__EOF__
see the documentation of %{name}-common package
__EOF__



%files curses
%_altdir/%name-curses
%_bindir/%name-curses

%files gtk
%_altdir/%name-gtk
%_bindir/%name-gtk

%files qt
%_altdir/%name-qt
%_bindir/%name-qt

%files qt3
%_altdir/%name-qt3
%_bindir/%name-qt3

%files common
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%_infodir/*.info*
%ghost %_bindir/%name


%changelog
* Mon Jul 06 2009 Sergey V Turchin <zerg@altlinux.org> 0.7.6-alt1
- new version

* Tue Dec 02 2008 Sergey V Turchin <zerg at altlinux dot org> 0.7.5-alt3
- built with libcap
- remove deprecated macroses from specfile

* Tue Sep 16 2008 Sergey V Turchin <zerg at altlinux dot org> 0.7.5-alt2
- built without libcap

* Tue May 13 2008 Sergey V Turchin <zerg at altlinux dot org> 0.7.5-alt1
- new version
- update build requires
- don't use internal g_malloc if defined

* Mon Dec 24 2007 Sergey V Turchin <zerg at altlinux dot org> 0.7.4-alt2
- fix requires

* Wed Dec 19 2007 Sergey V Turchin <zerg at altlinux dot org> 0.7.4-alt1
- new version

* Tue Jul 10 2007 Sergey V Turchin <zerg at altlinux dot org> 0.7.3-alt1
- new version

* Tue May 23 2006 Sergey V Turchin <zerg at altlinux dot org> 0.7.2-alt2
- rebuilt with new gcc

* Thu Jun 23 2005 Sergey V Turchin <zerg at altlinux dot org> 0.7.2-alt1
- new version; built with gtk-2

* Thu Jan 20 2005 Sergey V Turchin <zerg at altlinux dot org> 0.7.1-alt2
- rebuild with gcc3.4

* Mon Oct 11 2004 Sergey V Turchin <zerg at altlinux dot org> 0.7.1-alt1
- new version

* Tue Apr 06 2004 Sergey V Turchin <zerg at altlinux dot org> 0.7.0-alt2
- build all qt/gtk/curses
- update BuildRequires
- patch from PLD for build with system libassuan

* Thu Feb 12 2004 Sergey V Turchin <zerg at altlinux dot org> 0.7.0-alt1
- new version

* Fri Sep 05 2003 Sergey V Turchin <zerg at altlinux dot org> 0.6.9-alt3
- rebuild with Qt and with --enable-fallback-curses

* Wed May 07 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.6.9-alt2
- fix requires
- fix update of alternatives

* Wed May 07 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.6.9-alt1
- new version

* Wed Apr 09 2003 Stanislav Ievlev <inger@altlinux.ru> 0.6.6-alt3.1
- new alternatives config format

* Fri Mar 14 2003 Stanislav Ievlev <inger@altlinux.ru> 0.6.6-alt3
- PreReq fixes

* Thu Mar 13 2003 Stanislav Ievlev <inger@altlinux.ru> 0.6.6-alt2
- move to new alternatives scheme
- texinfo fix, added missing script to install info pages into info dir
- added trigger 'cause pervious scripts was proken

* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 0.6.6-alt1
- build for ALT

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.6-1mdk
- update spec file from Fabrice MARIE <fabrice-marie-sec@ifrance.com>

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.5-1mdk
- Initial package
